Subject: Re: bug#39057: 27.0.60; copy-file interactive VS from lisp disagreement

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Jan 2020 15:48:02 +0200

> From: Tino Calancha <[email-masked]>
> Date: Fri, 10 Jan 2020 12:55:59 +0100 (CET)
> cc: Tino Calancha <[email-masked]>, [email-masked]
> 
> > I cannot reproduce this, so there must be more here than meets the
> > eye
> > So please step through the code and tell where it fails and why.
> 
> It seems NEWNAME, i.e., the second argument seeing by `copy-file' might be different
> when called interactively; this is true even if the user introduces the 
> same value.
> 
> I have printed out newname before the line
> newname = expand_cp_target (file, newname);
> at src/fileio.c
> 
> I)
> M-: (copy-file "/tmp/foo" "~/") RET
> ;; it shows "~/" as expected
> 
> II)
> M-x: copy-file RET /tmp/foo RET ~/ RET
> ;; it shows "~" (the '/' is missing)

Why would it be missing? which code removes it, if you typed it?

> Since you cannot reproduce the issue, it might be platform dependent.
> I am able to reproduce it in this nice site, which runs Emacs 26.3 in a linux machine:
> https://repl.it/languages/elisp

I couldn't reproduce on GNU/Linux either.

> M-! touch /tmp/foo RET
> M-x copy-file RET /tmp/foo RET RET
> ;; received prompt
> ;; FILE /home/runner already exists; copy to it anyway? (yes or no)

This is a different use case.